Comment installer xulrunner?

27

J'essaie de migrer une machine virtuelle que j'utilise pour mes cours à l'université du 10.04 au 12.04 et que j'utilise xulrunner pour que

  • d’abord, je peux avoir SQLiteManager comme une application autonome
  • next, KNIME peut fournir de l'aide pour ses nœuds

J'ai essayé d'ajouter le mozilla ppa comme décrit dans certains articles, par exemple ici ou ici , mais lorsque je recherche xulrunner dans Synaptic, je n'ai aucune correspondance.

J'ai lu dans ce lien , que xulrunner a été omis intentionnellement, ce qui, franchement, est une mauvaise décision! Quoi qu’il en soit, est-ce que quelqu'un sait comment s’en sortir, c’est-à-dire comment obtenir xulrunner?

    
posée chessplayer 27.04.2012 - 11:06
la source

5 réponses

36

xulrunner n'est plus disponible dans les dépôts pour 12.04, mais il est très facile d'installer les dernières versions fournies par la fondation Mozilla ici . Comme ces versions de xulrunner sont autonomes, nous les placerons dans le répertoire /opt .

  1. Ouvrez le terminal avec Ctrl + Alt + T
  2. Tapez cd /opt
  3. Les étapes ci-dessous téléchargeront automatiquement la version appropriée de xulrunner en fonction de la version actuellement installée de Firefox et si votre Ubuntu est 32 bits ou 64 bits. (Si vous utilisez une version bêta de Firefox, etc., copiez l'URL manuellement à partir de votre navigateur et définissez XURL= sur celle-ci (voir ci-dessous)

    • Copiez et collez dans le terminal, ligne par ligne:
    FFVER='grep -Po  "\d{2}\.\d+" /usr/lib/firefox/platform.ini'
    ARCH='uname -p'
    XURL=https://ftp.mozilla.org/pub/mozilla.org/xulrunner/releases/$FFVER/runtimes/xulrunner-$FFVER.en-US.linux-$ARCH.tar.bz2
    cd /opt
    sudo sh -c "wget -O- $XURL | tar -xj"
    sudo ln -s /opt/xulrunner/xulrunner /usr/bin/xulrunner
    sudo ln -s /opt/xulrunner/xpcshell /usr/bin/xpcshell
    

xulrunner est maintenant installé et peut être exécuté simplement avec xulrunner de n'importe où.

  • Pour le désinstaller, supprimez simplement le répertoire xulrunner sous /opt et les liens symboliques /usr/bin/xulrunner et /usr/bin/xpcshell .
réponse donnée ish 09.07.2012 - 04:06
la source
9

J'ai eu un problème similaire avec Eclipse échouant. J'ai pu faire fonctionner ma version d’Eclipse en procédant comme suit. Vous pouvez le faire pour vos applications prévues.

  1. Pour trouver la version de XULRunner prise en charge pour votre version Eclipse: lien
  2. Accédez à les versions de Mozilla XULRunner à télécharger . Choisissez la version que vous voulez. Ignorez les versions avec suffixe b* (beta), et essayez d'opter pour la dernière version. Encore une fois, c'est à vous de choisir la version requise.

    [DIR]   10.0.1/         09-Feb-2012 01:11   -    
    [DIR]   10.0.2/         16-Feb-2012 02:55   -    
    [DIR]   10.0.4esr/      22-May-2012 20:56   -    
    [DIR]   10.0/           29-Jan-2012 11:32   -    
    [DIR]   10.0b2/         28-Dec-2011 10:38   -    
    [DIR]   10.0b3/         08-Jan-2012 03:02   -    
    [DIR]   10.0b5/         18-Jan-2012 15:27   -    
    [DIR]   10.0b6/         24-Jan-2012 03:53   -
    

    J'installe 10.0.2 dans cet exemple.

  3. Choisissez le téléchargement en fonction de votre système d'exploitation.

    Je lance Linux 32 bits, alors je vais pour xulrunner-10.0.2.en-US.linux-i686.tar.bz2

  4. Enregistrez le fichier téléchargé, extrayez / installez-le.

    sudo tar -xjvf xulrunner-10.0.2.en-US.linux-i686.tar.bz2
    
  5. Définissez le chemin de xulrunner dans le fichier d'application ( eclipse.ini ).

    -Dorg.eclipse.swt.browser.XULRunnerPath=/Path_where_xulrunner_is extracted/xulrunner/
    

Maintenant, Eclipse utilisera la version donnée de xulrunner installée.

    
réponse donnée Ajit Tirumalasetti 02.10.2012 - 16:35
la source
1

Vous voudrez peut-être examiner ce sujet pour voir si la solution qui a fonctionné pour conkeror vous conviendrait également: lien

    
réponse donnée micahg 28.04.2012 - 01:22
la source
0

Vous pouvez trouver une description de ce problème dans la FAQ de KNIME. Fondamentalement, il suffit d'installer les fichiers binaires du site de mise à jour KNIME et le tour est joué; les choses doivent être correctement formatées à nouveau.

    
réponse donnée Aaron 01.11.2012 - 16:39
la source
0

Essayez d’installer le package firefox-dev . Je pense que ce paquet devrait fournir les libs que xulrunner possédait précédemment. Je ne suis pas sûr des librairies d'exécution mais il contient bien les librairies requises pour compiler les applications XUL précédemment livrées avec XULRunner

    
réponse donnée Owais Lone 17.01.2017 - 23:24
la source

Lire d'autres questions sur les étiquettes